/**-----------------------------------------------------------------------------------------
* Copyright © 2024 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogActionsComponent } from "./dialog/dialog-actions.component";
import { DialogContainerDirective } from "./dialog/dialog-container.directive";
import { DialogTitleBarComponent } from "./dialog/dialog-titlebar.component";
import { DialogComponent } from "./dialog/dialog.component";
import { CustomMessagesComponent } from "./localization/custom-messages.component";
import { WindowCloseActionDirective } from "./window/actions/window-close-action.directive";
import { WindowMaximizeActionDirective } from "./window/actions/window-maximize-action.directive";
import { WindowMinimizeActionDirective } from "./window/actions/window-minimize-action.directive";
import { WindowRestoreActionDirective } from "./window/actions/window-restore-action.directive";
import { WindowContainerDirective } from "./window/window-container.directive";
import { WindowTitleBarComponent } from "./window/window-titlebar.component";
import { WindowComponent } from "./window/window.component";
/**
* Utility array that contains all `Dialog` related components and directives.
*/
export const KENDO_DIALOG = [
    DialogComponent,
    DialogTitleBarComponent,
    DialogContainerDirective,
    DialogActionsComponent,
    CustomMessagesComponent
];
/**
* Utility array that contains all `Window` related components and directives.
*/
export const KENDO_WINDOW = [
    WindowComponent,
    WindowCloseActionDirective,
    WindowMinimizeActionDirective,
    WindowMaximizeActionDirective,
    WindowRestoreActionDirective,
    WindowTitleBarComponent,
    WindowContainerDirective,
    DialogActionsComponent,
    CustomMessagesComponent
];
/**
* Utility array that contains all `@progress/kendo-angular-dialog` related components and directives.
*/
export const KENDO_DIALOGS = [
    ...KENDO_DIALOG,
    ...KENDO_WINDOW
];
